HSCOLOUR(1)

NAME
HsColour - generate colourised output for Haskell code

SYNOPSIS
HsColour options [file.hs]

DESCRIPTION
HsColour is a program that colourises Haskell code. It currently has six output formats: ANSI terminal codes, HTML 3.2 with <font> tags, HTML 4.01 with CSS, XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat client codes.

  Flag reference:

-version
    Print out version information.

-help
    A rudimentary help message.

-oOUTPUT
    Write the output to the specified file.

-tty
    Write output with ANSI terminal code colours (this is the default).

-html
    Write output in HTML 3.2 format with font tags.

-css
    Write output in HTML 4.01 format with CSS styling.

-icss
    Write output in XHTML 1.0 format with inline CSS styling.

-latex
    Write output as LaTeX source code.

-mirc
    Output for IRC.

-lit
    When outputting HTML etc, inform HsColour that the input Haskell code is Literate Haskell.

-lit-tex
    When outputting LaTeX, inform HsColour that the input Haskell code is Literate Haskell.

-anchor
    In HTML mode add named anchors.

-partial
    Create output fragments (ie omit the HTML DOCTYPE header, CSS stylesheet link, or LaTeX prologue) for embedding in a larger document.

-print-css
    Print out the default CSS definitions, in case you lose the .css file.

-nolit
    Turn off -lit mode.

-noanchor
    Turn off -anchor mode.

-nopartial
    Turn off -partial mode.

The HsColour homepage is at http://www.cs.york.ac.uk/fp/darcs/hscolour/ .

COPYRIGHT
Copyright © 2003-2009 Malcolm Wallace and Bjorn Bringert

This program comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of this program under the terms of the GNU General Public License. For more information about these matters, see the file named COPYING.

AUTHOR
The text for this page was constructed from HsColour's main web page by Erik de Castro Lopo <erikd@mega-nerd.com>, for the Debian GNU/Linux system (but may be used by others).